CVE-2004-1332
CVSS7.5
发布时间 :2004-12-31 00:00:00
修订时间 :2016-10-17 22:53:19
NMCOS    

[原文]Stack-based buffer overflow in the FTP daemon in HP-UX 11.11i, with the -v (debug) option enabled, allows remote attackers to execute arbitrary code via a long command request.


[CNNVD]HP - UX FTP服务器调试日志记录模式缓冲区溢出漏洞(CNNVD-200412-1202)

        HP-UX 11.11i版本中的FTP daemon存在基于栈的缓冲区溢出漏洞。与- v(调试)选项一起启用时,远程攻击者可以通过超长的命令请求来执行任意代码。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/o:hp:hp-ux:10.24HP HP-UX 10.24
cpe:/o:hp:hp-ux:10.01HP HP-UX 10.01
cpe:/o:hp:hp-ux:11.11iHP HP-UX 11.11i
cpe:/o:hp:hp-ux:11.4HP HP-UX 11.4
cpe:/o:hp:hp-ux_series_800:10.20HP hp-ux series 800 10.20
cpe:/o:hp:hp-ux_series_700:10.20HP hp-ux series 700 10.20
cpe:/o:hp:sis
cpe:/o:hp:hp-ux:11.23HP-UX 11i v2
cpe:/o:hp:vvos:10.24HP VVOS 10.24
cpe:/o:hp:hp-ux:10.10HP HP-UX 10.10
cpe:/o:hp:hp-ux:11.00HP-UX 11.00
cpe:/o:hp:hp-ux:11.11HP-UX 11.11
cpe:/o:hp:hp-ux:11.22HP-UX 11i v1.6
cpe:/o:hp:hp-ux:10.20HP HP-UX 10.20
cpe:/o:hp:vvos:11.04HP VVOS 11.04

- OVAL (用于检测的技术细节)

oval:org.mitre.oval:def:5701HP-UX ftpd, Remote Privileged Access
*OVAL详细的描述了检测该漏洞的方法,你可以从相关的OVAL定义中找到更多检测该漏洞的技术细节。

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-1332
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-1332
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-1202
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=110797179710695&w=2
(UNKNOWN)  HP  HPSBUX01118
http://securitytracker.com/id?1012650
(UNKNOWN)  SECTRACK  1012650
http://www.idefense.com/application/poi/display?id=175&type=vulnerabilities&flashstatus=false
(UNKNOWN)  IDEFENSE  20041221 Hewlett Packard HP-UX ftpd Remote Buffer Overflow Vulnerability
http://www.kb.cert.org/vuls/id/647438
(VENDOR_ADVISORY)  CERT-VN  VU#647438
http://www.securityfocus.com/bid/12077
(PATCH)  BID  12077
http://xforce.iss.net/xforce/xfdb/18636
(UNKNOWN)  XF  hp-ftpd-bo(18636)

- 漏洞信息

HP - UX FTP服务器调试日志记录模式缓冲区溢出漏洞
高危 缓冲区溢出
2004-12-31 00:00:00 2009-03-04 00:00:00
远程  
        HP-UX 11.11i版本中的FTP daemon存在基于栈的缓冲区溢出漏洞。与- v(调试)选项一起启用时,远程攻击者可以通过超长的命令请求来执行任意代码。

- 公告与补丁

        The original advisory from iDEFENSE listed patches for specific versions of HP-UX. On December 23, 2004, HP re-issued advisory HPSBUX0107-162 (originally published in 2001) stating that the fixes listed in the advisory correct this issue. However, the patch numbers listed in the advisory are different than what was included in the iDEFENSE report.
        HP has released advisory HPSBUX01118 - SSRT4883 on February 8th, 2005 dealing with this issue. The patches provided in this advisory match those reported by iDEFENSE. Users are advised to update their products with these patches as soon as possible.
        HP HP-UX B.11.11
        
        HP HP-UX B.11.22
        
        HP HP-UX B.11.00
        
        HP HP-UX B.11.04
        

- 漏洞信息

12553
HP-UX FTP Server Debug Logging Remote Overflow
Remote / Network Access Input Manipulation
Loss of Integrity

- 漏洞描述

- 时间线

2004-12-21 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known upgrades or patches to correct this vulnerability. It is possible to temporarily work around the flaw by implementing the following workaround: Do not use the –v flag in the FTP daemon entry line in /etc/inetd.conf. If debug-logging is necessary, consider allowing only trusted hosts access to the service using firewall rules or TCP wrappers.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

HP-UX FTP Server Debug Logging Mode Buffer Overflow Vulnerability
Boundary Condition Error 12077
Yes No
2004-12-22 12:00:00 2009-07-12 09:26:00
Discovery credited to iDEFENSE Labs.

- 受影响的程序版本

HP HP-UX (VVOS) 11.0 4
HP HP-UX (VVOS) 10.24
HP HP-UX 11.23
HP HP-UX 11.22
HP HP-UX 11.20
HP HP-UX 11.11
HP HP-UX 11.0 4
HP HP-UX 11.0
HP HP-UX 10.24
HP HP-UX 10.20 SIS
HP HP-UX 10.20 Series 800
HP HP-UX 10.20 Series 700
HP HP-UX 10.20
HP HP-UX 10.10
HP HP-UX 10.0 1
HP HP-UX B.11.22
HP HP-UX B.11.11
HP HP-UX B.11.04
HP HP-UX B.11.00

- 漏洞讨论

It has been reported that the FTP server included with HP-UX is vulnerable to a remotely exploitable pre-authentication buffer overflow if configured to log debug output. This is not a default configuration. An administrator at some point would had to have configured inetd to invoke the ftpd server process with the "-v" parameter. Remote attackers can exploit this vulnerability to gain root privileges on the affected host.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 解决方案

The original advisory from iDEFENSE listed patches for specific versions of HP-UX. On December 23, 2004, HP re-issued advisory HPSBUX0107-162 (originally published in 2001) stating that the fixes listed in the advisory correct this issue. However, the patch numbers listed in the advisory are different than what was included in the iDEFENSE report.

HP has released advisory HPSBUX01118 - SSRT4883 on February 8th, 2005 dealing with this issue. The patches provided in this advisory match those reported by iDEFENSE. Users are advised to update their products with these patches as soon as possible.


HP HP-UX B.11.11

HP HP-UX B.11.22

HP HP-UX B.11.00

HP HP-UX B.11.04

HP HP-UX 10.0 1

HP HP-UX 10.10

HP HP-UX 10.20

HP HP-UX (VVOS) 10.24

HP HP-UX 11.0

HP HP-UX 11.11

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站